com.r3corda.node.driver / DriverDSL / startClient

# startClient

`fun startClient(providedName: String, serverAddress: <ERROR CLASS>): Future<NodeMessagingClient>`
Overrides DriverDSLExposedInterface.startClient

Starts an NodeMessagingClient.

### Parameters

`providedName` - name of the client, which will be used for creating its directory.
`serverAddress` - the artemis server to connect to, for example a Node.